Anonymous Login
2019-02-19 04:36 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001670v3.4 Release (Current)System Adminpublic2019-01-03 12:53
Reporterddoddsr 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformMAC ( Using XAMPP 5.5.19)OSOSXOS Version10.9.5
Product Version 
Target VersionFixed in Version 
Summary0001670: Unable to upload modules; perceived directory permissions
Descriptiona ls -l shows:
drwxrwxrwx 23 dandodd staff 782 Aug 25 12:04 modules

but the System Admin / Modules page at the bottom shows this message:
Module uploads are not allowed. Please check permissions on the /modules directory.
Steps To ReproduceSelect System Admin / Modules
Additional Information
On branch master
Your branch is up-to-date with 'origin/master'.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003758

ddoddsr (reporter)

modules/system/modules/index.php code on line 153 looks at '/files' for writability but outputs that modules is not writable.

Once I made files +w then the message disappeared.

~0003815

caseydk (administrator)

I've improved the error message to:

"Module uploads are not allowed. Please check permissions on the /modules and /files directories."

so you can have a fighting chance to figure it out and solve it.

Ref: https://github.com/web2project/web2project/commit/1f7aec7cdc49664e86e5b16792f36c2b20b487ff

~0003946

caseydk (administrator)

In the 31 Dec 2018 release: http://docs.web2project.net/release-notes/3.4.html
+Notes

-Issue History
Date Modified Username Field Change
2015-08-26 06:25 ddoddsr New Issue
2015-08-26 09:36 ddoddsr Note Added: 0003758
2016-12-26 23:34 caseydk Project v3.3 Release => v3.4 Release (Current)
2016-12-28 00:35 caseydk Assigned To => caseydk
2016-12-28 00:35 caseydk Status new => resolved
2016-12-28 00:35 caseydk Resolution open => no change required
2016-12-28 00:35 caseydk Note Added: 0003815
2019-01-03 12:53 caseydk Note Added: 0003946
2019-01-03 12:53 caseydk Status resolved => closed
+Issue History